#!/bin/sh
#
# $FreeBSD: ports/ftp/ftpd-tls/files/ftpd-tls.sh.in,v 1.1 2006/02/20 12:38:27 marius Exp $
#

# PROVIDE: ftpd-tls
# REQUIRE: LOGIN
#
# Available configuration variables for ftpd-tls are:
#
# ftpd_tls_enable (bool):	Set to "YES" to enable ftpd-tls.
#				Defaults to "NO".
# ftpd_tls_flags (flags):	Extra flags to ftpd-tls (see ftpd-tls(8)).
#				Defaults to "-U -l".
#
# Add at least the following line to /etc/rc.conf or /etc/rc.conf.local to
# enable ftpd-tls:
#
# ftpd_tls_enable="YES"
#

. /etc/rc.subr

name="ftpd_tls"
rcvar=${name}_enable

command=/usr/local/libexec/ftpd-tls
command_args="> /dev/null"
start_precmd="ftpd_tls_precmd"
pidfile="/var/run/ftpd-tls.pid"

ftpd_tls_precmd()
{
	rc_flags="${rc_flags} -D"
}

load_rc_config $name

: ${ftpd_tls_enable="NO"}
: ${ftpd_tls_flags="-U -l"}

run_rc_command "$1"
